package electrosphere.server.pathfinding;

import electrosphere.server.pathfinding.navmesh.NavMesh;
import electrosphere.server.terrain.manager.ServerTerrainChunk;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author satellite
 */
public class ChunkMeshList {
    
    ServerTerrainChunk chunk;
    List<NavMesh> meshes = new LinkedList<NavMesh>();
    
    public ChunkMeshList(ServerTerrainChunk parent){
        chunk = parent;
    }
    
    public void addMesh(NavMesh mesh){
        meshes.add(mesh);
    }
    
    public List<NavMesh> getMeshes(){
        return meshes;
    }
    
    public ServerTerrainChunk getChunk(){
        return chunk;
    }
    
    
    
}
